BuildRequires: jpackage-1.4-compat
%define origname commons-validator

Name: jakarta-%origname
Version: 1.2.0
Release: alt3

%def_enable check
%def_disable debug

%define pkgdocdir %_docdir/%name-%version

Summary: Jakarta Commons Validator component
Group: Development/Java
License: Apache
URL: http://jakarta.apache.org/commons/validator/

# Actually had to export source from CVS because the distributed tarball
# lacks necessary files
Source: %origname-%version-src.tar.bz2
Source1: %name-build.properties

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: ant
BuildRequires: jakarta-commons-beanutils
BuildRequires: jakarta-commons-collections
BuildRequires: jakarta-commons-digester
BuildRequires: jakarta-commons-logging
BuildRequires: jakarta-oro
%if_enabled check
BuildRequires: junit ant-junit
%endif

%description
The %name package provides a simple, extendable framework
to define validators (validation methods) and validation rules in an
xml file. There is support for internationalization of validation
rules and error messages.

%package javadoc
Summary: Javadoc for Jakarta Commons Validator
Group: Development/Java

%description javadoc
Javadoc-generated API documentation for the
Jakarta Commons Validator component.

%prep
%setup -q -n %origname-%version
%__cp %SOURCE1 build.properties
%__rm -f *.jar

%build
%ant_build \
%if_enabled debug
    -Dcompile.debug=true \
    -Dcompile.optimize=false \
%else
    -Dcompile.debug=false \
    -Dcompile.optimize=true \
%endif
    dist compile.example
%if_enabled check
%ant_build test
%endif

%install
# jars
%__mkdir_p %buildroot%_javadir
%__install -m644 dist/%origname.jar %buildroot%_javadir/%name.jar
ln -s %name.jar %buildroot%_javadir/%origname.jar

# javadocs
%__install -d -m755 %buildroot%_javadocdir/%name
%__cp -a dist/docs/api/* %buildroot%_javadocdir/%name/

%files
%doc dist/LICENSE.txt dist/RELEASE-NOTES.readme
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Fri May 04 2007 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt3
- rebuild with java 1.4

* Mon Apr 30 2007 Igor Vlasenko <viy@altlinux.ru> 1.2.0-alt2
- added JPackage compat stuff

* Wed Nov 16 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Mon Jan 31 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.1.4-alt1
- Initial release for Sisyphus
